Subject: Re: [PATCH] io_uring: Add io_uring command support for sockets

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Jun 2023 10:39:48 -0700

On Thu, 22 Jun 2023 19:03:04 +0200 Greg Kroah-Hartman wrote:
> > Correct. For now we are just using 0xa0 and 0xa1, and eventually we
> > might need more ioctls numbers.
> > 
> > I got these numbers finding a unused block and having some room for
> > expansion, as suggested by Documentation/userspace-api/ioctl/ioctl-number.rst,
> > that says:
> > 
> > 	If you are writing a driver for a new device and need a letter, pick an
> > 	unused block with enough room for expansion: 32 to 256 ioctl commands.  
> 
> So is this the first io_uring ioctl?  If so, why is this an ioctl and
> not just a "normal" io_uring call?

+1, the mixing with classic ioctl seems confusing and I'm not sure 
if it buys us anything.
-- 
pw-bot: cr